#At file:///home/jonas/src/telco-7.0/ based on revid:jonas@stripped
4436 jonas oreland 2011-06-01
ndb - add "|| true" to support sh -e
modified:
storage/ndb/test/run-test/atrt-backtrace.sh
storage/ndb/test/run-test/atrt-gather-result.sh
storage/ndb/test/run-test/atrt-setup.sh
storage/ndb/test/run-test/autotest-boot.sh
storage/ndb/test/run-test/autotest-run.sh
=== modified file 'storage/ndb/test/run-test/atrt-backtrace.sh'
--- a/storage/ndb/test/run-test/atrt-backtrace.sh 2011-06-01 08:11:39 +0000
+++ b/storage/ndb/test/run-test/atrt-backtrace.sh 2011-06-01 08:55:03 +0000
@@ -16,7 +16,7 @@
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
# Does not work on Windows (gcc only)
-if [ `uname | grep -ic cygwin` -ne 0 ]
+if [ `uname | grep -ic cygwin || true` -ne 0 ]
then
exit
fi
=== modified file 'storage/ndb/test/run-test/atrt-gather-result.sh'
--- a/storage/ndb/test/run-test/atrt-gather-result.sh 2011-06-01 08:11:39 +0000
+++ b/storage/ndb/test/run-test/atrt-gather-result.sh 2011-06-01 08:55:03 +0000
@@ -21,7 +21,7 @@ mkdir -p result
cd result
rm -rf *
-if [ `uname | grep -ic cygwin` -ne 0 ]
+if [ `uname | grep -ic cygwin || true` -ne 0 ]
then
while [ $# -gt 0 ]
do
=== modified file 'storage/ndb/test/run-test/atrt-setup.sh'
--- a/storage/ndb/test/run-test/atrt-setup.sh 2011-06-01 08:11:39 +0000
+++ b/storage/ndb/test/run-test/atrt-setup.sh 2011-06-01 08:55:03 +0000
@@ -20,7 +20,7 @@ LOCAL_DIR=$2
REMOTE_DIR=$3
verbose=
-if [ `uname | grep -ic cygwin` -ne 0 ]
+if [ `uname | grep -ic cygwin || true` -ne 0 ]
then
verbose=1
fi
@@ -46,7 +46,7 @@ then
exit 0;
fi
-if [ `uname | grep -ic cygwin` -ne 0 ]
+if [ `uname | grep -ic cygwin || true` -ne 0 ]
then
LOCAL_DIR=`cygpath -u $LOCAL_DIR`
REMOTE_DIR=`cygpath -u $REMOTE_DIR`
=== modified file 'storage/ndb/test/run-test/autotest-boot.sh'
--- a/storage/ndb/test/run-test/autotest-boot.sh 2011-06-01 08:11:39 +0000
+++ b/storage/ndb/test/run-test/autotest-boot.sh 2011-06-01 08:55:03 +0000
@@ -31,7 +31,7 @@ VERSION="autotest-boot.sh version 1.01"
DATE=`date '+%Y-%m-%d'`
if [ `uname -s` != "SunOS" ]
then
- if [ `uname | grep -ic cygwin` -ne 0 ]
+ if [ `uname | grep -ic cygwin || true` -ne 0 ]
then
HOST=`hostname`
else
@@ -247,7 +247,7 @@ then
if [ -z "$clone1" ]
then
cd $dst_place0
- if [ `uname | grep -ic cygwin` -ne 0 ]
+ if [ `uname | grep -ic cygwin || true` -ne 0 ]
then
install_dir_dos=`cygpath -w $install_dir`
cmd /c cscript win/configure.js WITH_NDBCLUSTER_STORAGE_ENGINE --without-plugins=archive,blackhole,example,federated
=== modified file 'storage/ndb/test/run-test/autotest-run.sh'
--- a/storage/ndb/test/run-test/autotest-run.sh 2011-06-01 08:11:39 +0000
+++ b/storage/ndb/test/run-test/autotest-run.sh 2011-06-01 08:55:03 +0000
@@ -31,7 +31,7 @@ VERSION="autotest-run.sh version 1.00"
DATE=`date '+%Y-%m-%d'`
if [ `uname -s` != "SunOS" ]
then
- if [ `uname | grep -ic cygwin` -ne 0 ]
+ if [ `uname | grep -ic cygwin || true` -ne 0 ]
then
HOST=`hostname`
# Returns windows CRLF
@@ -278,7 +278,7 @@ rm -rf $res_dir/* $run_dir/*
cd $run_dir
mkdir run
-if [ `uname | grep -ic cygwin` -ne 0 ]
+if [ `uname | grep -ic cygwin || true` -ne 0 ]
then
run_dir=`cygpath -m $run_dir`
install_dir0=`cygpath -u $install_dir0`
Attachment: [text/bzr-bundle] bzr/jonas@mysql.com-20110601085503-q242xxlihw626ibb.bundle
| Thread |
|---|
| • bzr commit into mysql-5.1-telco-7.0 branch (jonas:4436) | jonas oreland | 1 Jun |